<?php
/**
 * Plugin Name:       NijenValIT Survey
 * Plugin URI:        https://nijenvalit.nl/plugins
 * Description:       Een makkelijk te gebruiken  Survey
 * Version:           1.0.0
 * Author:            NijenValIT
 */

// Shortcode to display the contact form
function scfp_contact_form() {
    ob_start(); ?>

    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f7f9;
            margin: 0;
            padding: 20px;
        }

        .scfp-form-container {
            max-width: 800px;
            margin: 40px auto;
            padding: 30px;
            background: #ffffff;
            border-radius: 8px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s;
        }

        .scfp-form-container:hover {
            transform: scale(1.01);
        }

        .scfp-form h2 {
            text-align: center;
            color: #333;
            margin-bottom: 20px;
            font-size: 24px;
        }

        .scfp-form label {
            display: block;
            margin-bottom: 5px;
            font-weight: 600;
            color: #555;
        }

        .scfp-form input,
        .scfp-form textarea,
        .scfp-form select {
            width: 100%;
            padding: 12px;
            margin-bottom: 15px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 16px;
            transition: border-color 0.3s;
        }

        .scfp-form input:focus,
        .scfp-form textarea:focus,
        .scfp-form select:focus {
            border-color: #0073aa;
            outline: none;
        }

        .scfp-form input[type="submit"] {
            background-color: #0073aa;
            color: #ffffff;
            border: none;
            cursor: pointer;
            padding: 12px;
            font-size: 18px;
            font-weight: bold;
            transition: background-color 0.3s, transform 0.2s;
        }

        .scfp-form input[type="submit"]:hover {
            background-color: #005177;
            transform: translateY(-1px);
        }

        .scfp-success {
            color: green;
            text-align: center;
            margin-top: 15px;
            font-weight: bold;
        }

        .scfp-error {
            color: red;
            text-align: center;
            margin-top: 15px;
            font-weight: bold;
        }

        /* Responsive styles */
        @media (max-width: 600px) {
            .scfp-form-container {
                padding: 20px;
            }

            .scfp-form h2 {
                font-size: 20px;
            }

            .scfp-form input[type="submit"] {
                font-size: 16px;
            }
        }
    </style>

    <div class="scfp-form-container">
        <form class="scfp-form" method="post" action="">
            <h2>Contact Form</h2>

            <label for="scfp_name">Naam*</label>
            <input type="text" id="scfp_name" name="scfp_name" required>

            <label for="scfp_firstname">Voornaam</label>
            <input type="text" id="scfp_firstname" name="scfp_firstname">

            <label for="scfp_prefix">Tussenvoegsels</label>
            <input type="text" id="scfp_prefix" name="scfp_prefix">

            <label for="scfp_lastname">Achternaam*</label>
            <input type="text" id="scfp_lastname" name="scfp_lastname" required>

            <label for="scfp_email">Email*</label>
            <input type="email" id="scfp_email" name="scfp_email" required>

            <label for="scfp_phone">Telefoonnummer:</label>
            <input type="tel" id="scfp_phone" name="scfp_phone">

            <label for="scfp_pages">Aantal pagina’s:*</label>
            <select id="scfp_pages" name="scfp_pages" required>
                <option value="">Kies een optie</option>
                <option value="1 pagina">1 pagina</option>
                <option value="2-5 Pagina’s">2-5 Pagina’s</option>
                <option value="6 of meer pagina’s">6 of meer pagina’s</option>
            </select>

            <label for="scfp_description">Leg in 5 regels uit wat jij of je bedrijf precies doet*</label>
            <textarea id="scfp_description" name="scfp_description" rows="5" required></textarea>

            <label for="scfp_goal">Wat is het primaire doel van je website?*</label>
            <textarea id="scfp_goal" name="scfp_goal" rows="5" required></textarea>

            <label for="scfp_current_site">Heb je al een website? Wat is je frustratie met je huidige site en wat vind je er goed/slecht aan?*</label>
            <textarea id="scfp_current_site" name="scfp_current_site" rows="5" required></textarea>

            <label>Wie is de doelgroep voor je website/bedrijf?</label>
            <textarea id="scfp_audience" name="scfp_audience" rows="3"></textarea>

            <label>Welke actie wil je dat bezoekers op je website nemen?</label>
            <textarea id="scfp_action" name="scfp_action" rows="3"></textarea>

            <label>Geef 3 voorbeelden van websites met hetzelfde doel of inhoud als jouw website:</label>
            <label>Voorbeeld 1:</label>
            <input type="text" name="scfp_example1">
            <label>Voorbeeld 2:</label>
            <input type="text" name="scfp_example2">
            <label>Voorbeeld 3:</label>
            <input type="text" name="scfp_example3">

            <label for="scfp_logo">Logo: Upload hier jou logo bestand in .svg of .png</label>
            <input type="file" id="scfp_logo" name="scfp_logo">

            <label>Ik wil de volgende functies:</label>
            <input type="checkbox" name="scfp_features[]" value="Blog"> Blog<br>
            <input type="checkbox" name="scfp_features[]" value="Nieuws & Updates"> Nieuws & Updates<br>
            <input type="checkbox" name="scfp_features[]" value="Portfolio"> Portfolio<br>
            <input type="checkbox" name="scfp_features[]" value="Nieuwsbrief inschrijven"> Nieuwsbrief inschrijven<br>
            <input type="checkbox" name="scfp_features[]" value="Web winkel"> Web winkel<br>
            <input type="checkbox" name="scfp_features[]" value="Registratieformulieren"> Registratieformulieren<br>
            <input type="checkbox" name="scfp_features[]" value="Agenda functie"> Agenda functie<br>

            <label for="scfp_extra_options">Extra opties hier graag noteren:</label>
            <textarea id="scfp_extra_options" name="scfp_extra_options" rows="3"></textarea>

            <label for="scfp_extra_help">Extra hulp nodig bij:</label>
            <textarea id="scfp_extra_help" name="scfp_extra_help" rows="3"></textarea>

            <label>Services die ik bied:</label>
            <textarea id="scfp_services" name="scfp_services" rows="3"></textarea>

            <label>Maak een keuze uit de volgende extra opties:</label>
            <input type="checkbox" name="scfp_additional_services[]" value="Domein naam (extra kosten)"> Domein naam (extra kosten)<br>
            <input type="checkbox" name="scfp_additional_services[]" value="Hosting via NijenVal IT (vrijblijvende factuur op maat extra kosten)"> Hosting via NijenVal IT (vrijblijvende factuur op maat extra kosten)<br>
            <input type="checkbox" name="scfp_additional_services[]" value="Teksten voor de website zelf schrijven (extra kosten)"> Teksten voor de website zelf schrijven (extra kosten)<br>

            <input type="submit" name="scfp_submit" value="Verstuur">
        </form>
        <?php
        if (isset($_POST['scfp_submit'])) {
            scfp_handle_form_submission();
        }
        ?>
    </div>

    <?php
    return ob_get_clean();
}

// Handle form submission
function scfp_handle_form_submission() {
    // Sanitize and handle form data
    $name = sanitize_text_field($_POST['scfp_name']);
    $firstname = sanitize_text_field($_POST['scfp_firstname']);
    $prefix = sanitize_text_field($_POST['scfp_prefix']);
    $lastname = sanitize_text_field($_POST['scfp_lastname']);
    $email = sanitize_email($_POST['scfp_email']);
    $phone = sanitize_text_field($_POST['scfp_phone']);
    $pages = sanitize_text_field($_POST['scfp_pages']);
    $description = sanitize_textarea_field($_POST['scfp_description']);
    $goal = sanitize_textarea_field($_POST['scfp_goal']);
    $current_site = sanitize_textarea_field($_POST['scfp_current_site']);
    $audience = sanitize_textarea_field($_POST['scfp_audience']);
    $action = sanitize_textarea_field($_POST['scfp_action']);
    $example1 = sanitize_text_field($_POST['scfp_example1']);
    $example2 = sanitize_text_field($_POST['scfp_example2']);
    $example3 = sanitize_text_field($_POST['scfp_example3']);
    $features = isset($_POST['scfp_features']) ? implode(', ', $_POST['scfp_features']) : 'None';
    $extra_options = sanitize_textarea_field($_POST['scfp_extra_options']);
    $extra_help = sanitize_textarea_field($_POST['scfp_extra_help']);
    $services = sanitize_textarea_field($_POST['scfp_services']);
    $additional_services = isset($_POST['scfp_additional_services']) ? implode(', ', $_POST['scfp_additional_services']) : 'None';

    // Here you can save the data or send it via email

    echo '<div class="scfp-success">Bedankt voor uw feedback!</div>';
}

// Register shortcode
function scfp_register_shortcode() {
    add_shortcode('simple_contact_form', 'scfp_contact_form');
}
add_action('init', 'scfp_register_shortcode');